Loading...
Searching...
No Matches
XrdOucStream.cc File Reference
`#include <cctype>`
`#include <fcntl.h>`
`#include <cstdlib>`
`#include <cstring>`
`#include <cstdio>`
`#include <poll.h>`
`#include <unistd.h>`
`#include <strings.h>`
`#include <sys/conf.h>`
`#include <sys/stat.h>`
`#include <termios.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <set>`
`#include <string>`
`#include "XrdOuc/XrdOucEnv.hh"`
`#include "XrdOuc/XrdOucNSWalk.hh"`
`#include "XrdOuc/XrdOucString.hh"`
`#include "XrdOuc/XrdOucStream.hh"`
`#include "XrdOuc/XrdOucTList.hh"`
`#include "XrdOuc/XrdOucUtils.hh"`
`#include "XrdSys/XrdSysE2T.hh"`
`#include "XrdSys/XrdSysFD.hh"`
`#include "XrdSys/XrdSysHeaders.hh"`
`#include "XrdSys/XrdSysLogger.hh"`
`#include "XrdSys/XrdSysPlatform.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdOucStream.cc:

Go to the source code of this file.

## Classes

struct | StreamInfo

## Macros

#define | Erp(p, a, b, c)
#define | Erq(p, a, b)
#define | Err(p, a, b, c)
#define | Erx(p, a, b)
#define | MaxARGC 64
#define | XrdOucStream_BUSY 0x02
#define | XrdOucStream_CADD 0x010000
#define | XrdOucStream_CMAX 0x0f0000
#define | XrdOucStream_CONT 0xff0000
#define | XrdOucStream_ELIF 0x80
#define | XrdOucStream_EOM 0x01

## Macro Definition Documentation

## Erp

#define Erp | ( |  | p,
|  |  | a,
|  |  | b,
|  |  | c )

Value:
ecode=(Eroute ? Eroute->Emsg(#p, a, b, c) : a)

Definition at line 82 of file XrdOucStream.cc.

Referenced by XrdOucStream::GetLine(), XrdOucStream::Put(), and XrdOucStream::Put().

## Erq

#define Erq | ( |  | p,
|  |  | a,
|  |  | b )

Value:
Err(p, a, b, (char *)0)
Err
#define Err(p, a, b, c)
Definition XrdNetSocket.cc:81

Definition at line 80 of file XrdOucStream.cc.

Referenced by XrdOucStream::Attach(), and XrdOucStream::PutLine().

## Err

#define Err | ( |  | p,
|  |  | a,
|  |  | b,
|  |  | c )

Value:
(ecode=(Eroute ? Eroute->Emsg(#p, a, b, c) : a), -1)

Definition at line 81 of file XrdOucStream.cc.

## Erx

#define Erx | ( |  | p,
|  |  | a,
|  |  | b )

Value:
std::cerr <<#p <<": " <<XrdSysE2T(a) <<' ' <<b <<std::endl;
XrdSysE2T
const char * XrdSysE2T(int errcode)
Definition XrdSysE2T.cc:104

Definition at line 86 of file XrdOucStream.cc.

Referenced by XrdOucStream::Exec().

## MaxARGC

#define MaxARGC 64

Definition at line 71 of file XrdOucStream.cc.

Referenced by XrdOucStream::Exec().

## XrdOucStream_BUSY

#define XrdOucStream_BUSY 0x02

Definition at line 73 of file XrdOucStream.cc.

Referenced by XrdOucStream::Put(), and XrdOucStream::Put().

## XrdOucStream_CADD

#define XrdOucStream_CADD 0x010000

Definition at line 76 of file XrdOucStream.cc.

## XrdOucStream_CMAX

#define XrdOucStream_CMAX 0x0f0000

Definition at line 78 of file XrdOucStream.cc.

## XrdOucStream_CONT

#define XrdOucStream_CONT 0xff0000

Definition at line 77 of file XrdOucStream.cc.

## XrdOucStream_ELIF

#define XrdOucStream_ELIF 0x80

Definition at line 74 of file XrdOucStream.cc.

## XrdOucStream_EOM

#define XrdOucStream_EOM 0x01

Definition at line 72 of file XrdOucStream.cc.

Referenced by XrdOucStream::GetLine(), XrdOucStream::GetWord(), and XrdOucStream::PutLine().